Page MenuHomePhabricator

Adaptive Icons for Android app
Closed, ResolvedPublic

Description

Android Oreo adds support for the phone launcher to specify an icon shape (square, rounded square, squircle, circle, teardrop); however, none of the Wikimedia Foundation apps (Wikipedia, Wikipedia Beta, Commons, or Wiktionary) support the feature. More details can be found at https://developer.android.com/guide/practices/ui_guidelines/icon_design_adaptive.html

https://www.youtube.com/watch?v=5MHFYfXno9c

Event Timeline

Daylen created this task.Aug 27 2017, 11:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2017, 11:30 PM
Reedy updated the task description. (Show Details)
Jhernandez moved this task from Needs triage to Triaged on the Mobile board.Aug 28 2017, 10:18 AM
Daylen updated the task description. (Show Details)Sep 25 2017, 3:14 AM
RHo added a subscriber: RHo.Dec 7 2017, 4:37 PM

Change 399198 had a related patch set uploaded (by Serraboof; owner: Brian Roadifer):
[apps/android/wikipedia@master] fix adaptive icons

https://gerrit.wikimedia.org/r/399198

Change 399198 merged by jenkins-bot:
[apps/android/wikipedia@master] fix adaptive icons

https://gerrit.wikimedia.org/r/399198

Dbrant claimed this task.Jan 11 2018, 10:43 PM

LGTM on emulator for Pixel API 26 on Wikipedia v2.7.224-alpha-2018-01-18 (note difference between the Alpha and Prod version, Alpha is as expected with 'W' in circular icon).

QA please test on some other API 26 devices.

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me v2.7.224-alpha-2018-01-26

Dbrant closed this task as Resolved.Feb 1 2018, 6:32 PM